Light Logo
Predictions

List predictions

Retrieve a paginated list of all predictions for the authenticated account. The predictions are sorted by creation time, newest to oldest.

GET
/predictions
AuthorizationBearer <token>

In: header

Query Parameters

cursor?Cursor

The starting point to fetch the next set of items.

page_size?Page Size

The number of results per page.

Default25
Range5 <= value <= 50
statuses?Statuses

A list of task statuses to filter results. Matches any of the provided statuses (OR logic).

Response Body

from wriftai import Clientwriftai = Client()predictions = wriftai.predictions.list()for prediction in predictions.items:    print(prediction.status)
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "model": {
        "name": "kokoro-82m",
        "owner": "hexgrad",
        "version_number": 1
      },
      "created_at": "2024-06-12T14:22:31Z",
      "status": "pending",
      "updated_at": "2024-06-12T14:22:47Z",
      "setup_time": "1.42",
      "execution_time": "3.87"
    }
  ],
  "next_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiI0OTdmNmVjYS02Mjc2LTQ5OTMtYmZlYi01M2NiYmJiYTZmMDgiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNi0xMlQxNDoyMjozMVoifQ==",
  "previous_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiJmZmZmOTk5OS05OTk5LTk5OTktOTk5OS1mZmZmZmZmZmZmZmYiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNS0wMVQwOTowMDowMFoifQ=="
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}